curl --request GET \
--url "https://api.roe-ai.com/v1/workflows/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}Workflows
List Workflows
List the organization’s workflows, most recently updated first.
GET
/
v1
/
workflows
/
curl --request GET \
--url "https://api.roe-ai.com/v1/workflows/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creator": {
"id": 123,
"email": "jsmith@example.com",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}curl --request GET \
--url "https://api.roe-ai.com/v1/workflows/?organization_id=YOUR_ORG_ID" \
--header "Authorization: Bearer YOUR_API_KEY"
Authorizations
Organization API key passed as a Bearer token. This is the scheme used by the public SDK surface.
Query Parameters
Only the workflow with this agent id.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.